Put Settings (/extra-warranty/settings)
curl --request PUT \
--url https://api.vellaro.io/api/v1/admin/extra-warranty/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'import requests
url = "https://api.vellaro.io/api/v1/admin/extra-warranty/settings"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api.vellaro.io/api/v1/admin/extra-warranty/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/extra-warranty/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/extra-warranty/settings"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vellaro.io/api/v1/admin/extra-warranty/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/extra-warranty/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"state": "off",
"allowed": true,
"config": {
"pilot_only": true,
"percent": "<string>",
"min_price": "<string>",
"years": 123,
"rounding": 123,
"names": {},
"descriptions": {},
"terms_path": "<string>",
"excluded_category_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"pilot_emails": [
"<string>"
],
"version": 123
},
"languages": [
"<string>"
],
"base_locale": "<string>",
"warnings": [
"<string>"
]
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Integrations & modules
Put Settings (/extra-warranty/settings)
Salvataggio PARZIALE: un campo assente (o null) resta com’è; names, descriptions,
excluded_category_ids e pilot_emails si mandano interi.
- 409
extra_warranty.not_allowedsenza il permesso dell’hub; - 422
extra_warranty.settings_invalid,data.fields = [{field, type}];type:extra_warranty.percent_invalid,.percent_out_of_range(oltre 0, al più 50),.percent_too_precise(al più due decimali),.min_price_invalid,.min_price_out_of_range,.min_price_too_precise,.years_invalid,.years_out_of_range(1-10),.rounding_invalid(1, 10 o 100),.name_too_long(60),.description_too_long(200),.locale_unknown(una lingua che il negozio non ha attiva),.name_required(field=names.<lingua base>),.terms_path_invalid,.category_unknown,.categories_too_many(200),.email_invalid(field=pilot_emails.<i>),.pilot_emails_too_many(20),.field_read_only(version),extra_forbidden(campo sconosciuto, ancheiute_allowed), o il tipo Pydantic.
Un cambio alza config.version. Audit extra_warranty.settings con before/after delle sole voci
cambiate, senza le email dei piloti (pilot_emails_count); nessun cambio, nessuna riga.
PUT
/
api
/
v1
/
admin
/
extra-warranty
/
settings
Put Settings (/extra-warranty/settings)
curl --request PUT \
--url https://api.vellaro.io/api/v1/admin/extra-warranty/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'import requests
url = "https://api.vellaro.io/api/v1/admin/extra-warranty/settings"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api.vellaro.io/api/v1/admin/extra-warranty/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vellaro.io/api/v1/admin/extra-warranty/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vellaro.io/api/v1/admin/extra-warranty/settings"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vellaro.io/api/v1/admin/extra-warranty/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vellaro.io/api/v1/admin/extra-warranty/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
response = http.request(request)
puts response.read_body{
"data": {
"installed": true,
"enabled": true,
"plugin_status": "<string>",
"enabled_at": "2023-11-07T05:31:56Z",
"state": "off",
"allowed": true,
"config": {
"pilot_only": true,
"percent": "<string>",
"min_price": "<string>",
"years": 123,
"rounding": 123,
"names": {},
"descriptions": {},
"terms_path": "<string>",
"excluded_category_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"pilot_emails": [
"<string>"
],
"version": 123
},
"languages": [
"<string>"
],
"base_locale": "<string>",
"warnings": [
"<string>"
]
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}